[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: curl status update



On Sat, Oct 01, 2005 at 02:43:32PM +0200, Elimar Riesebieter wrote:
> On Thu, 29 Sep 2005 the mental interface of
> Steve Langasek told:

> [...]
>> There isn't?  I saw some arguments that explain why it's not possible to
>> convert all curl-using applications from OpenSSL to GNUTLS without a
>> recompile due to unavailable ABI changes, but I thought it was pretty clear
>> that the default going forward should be the one whose license is maximally
>> compatible with that of applications using libcurl (i.e., GNUTLS).
> libcurl3-gnutls-dev 7.14.1-3 works well ;-) The only challange we
> have to solve is:
> Which curl deps have to be the default?
> IMHO the gnutls one.

What do you mean by default?

a) The -dev to use if you don't use the OpenSSL callback, and you're not
GPL, modulo relevant bugs?

	I think this was pretty clearly gnuTLS. Is _anyone_ suggesting
	OpenSSL for this?

b) The version that should be in libcurl3?

	Has to be OpenSSL, to not break Sarge upgrades. And this will be
	true for the life of the package, unless we manage to get every
	package in Etch to not use it, at which point post-etch can do
	whatever. Including removing it in favour of libcurl4. ^_^

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, MCSE
8th year CompSci/Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Anu.edu.au

"No survivors? Then where do the stories come from I wonder?"
-- Capt. Jack Sparrow, "Pirates of the Caribbean"

License: http://creativecommons.org/licenses/by/2.1/au/
-----------------------------------------------------------

Attachment: pgpiTv_cDkAU7.pgp
Description: PGP signature


Reply to: